# Strategy Type Controller

## GET /strategyParameters

> Get all strategy types' parameters

```json
{"openapi":"3.1.0","info":{"title":"Strategy Orchestrator API","version":"0.0.1"},"servers":[{"url":"/strategy-orchestrator"}],"security":[{"User token":[]}],"components":{"securitySchemes":{"User token":{"type":"http","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"StrategyType":{"properties":{"strategyType":{"type":"string"},"params":{"type":"array","items":{"$ref":"#/components/schemas/StrategyParameter"}}}},"StrategyParameter":{"properties":{"mandatory":{"type":"boolean"},"name":{"type":"string"},"dataType":{"type":"string","enum":["STRING","DECIMAL","LONG","FLAG","DATE","TIME","DATETIME","COMPONENT"]},"mutability":{"type":"string","enum":["INIT","NOT_RUNNING","ALWAYS"]},"defaultValue":{"type":"string"}}},"ApiError":{"properties":{"timestamp":{"type":"string","format":"date-time"},"status":{"type":"integer","format":"int32"},"path":{"type":"string"},"errorCode":{"type":"string"},"error":{"type":"string"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorWithFields"},"uniqueItems":true}}},"ErrorWithFields":{"properties":{"fields":{"type":"array","items":{"type":"string"},"minItems":1,"uniqueItems":true},"rejectedValue":{"type":"string"},"description":{"type":"string","minLength":1},"firstField":{"type":"string"}},"required":["description","fields"]}}},"paths":{"/strategyParameters":{"get":{"tags":["strategy-type-controller"],"summary":"Get all strategy types' parameters","operationId":"strategyParameters","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StrategyType"}}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```
